import sys
import subprocess

def main():
    if len(sys.argv) > 1:

        arg = sys.argv[1:]
        try:
            result = subprocess.run(arg, text=True, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
        except Exception as e:
            print(f"check the spelling: {' '.join(arg)}")
        else:
            print("Exit Code:", result.returncode if result else "None")  # Captures exit code
            print("Output:", result.stdout.strip() if result else "None")  # Captures normal output
            print("Error:", result.stderr.strip() if result else "None")  # Captures error output

    else:
        print("No input provided.")

if __name__ == "__main__":
    main()
